%define major		1
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d
%define svn r69188
%define rel 1
%if %svn
%define release %mkrel -c %svn %rel
%else
%define release %mkrel %rel
%endif

Summary: 	E17 basic convenience wrappers around dbus
Name: 		e_dbus
Version: 	1.1.0
Release: 	%release
# creating archive is quite simple:
# svn export http://svn.enlightenment.org/svn/e/branches/%name-1.1 %name
# tar cJf %name-%svn.tar.xz %name
%if %svn
Source:         %name-%svn.tar.xz
%else
Source:		http://download.enlightenment.org/releases/%name-%version.tar.bz2
%endif
License: 	BSD
Group: 		System/Servers
URL: 		http://trac.enlightenment.org/e/wiki/E_Dbus
BuildRequires:	dbus-devel
BuildRequires:	ecore-devel >= 1.1.0-0.%svn

%description
This is the start of some basic convenience wrappers around dbus to
ease integrating dbus with EFL based applications.
When using e_dbus, direct use of the low level dbus api is still
heavily required for processing messages.

%package -n %{libname}
Summary:	Libraries for the %{name} package
Group:		System/Libraries
Obsoletes:	%{mklibname e_dbus 1} <= 0.01

%description -n %{libname}
Libraries for %{name}.

%package -n %{develname}
Summary:	Headers and development libraries from %{name}
Group:		Development/Other
Requires:	%{libname} = %{version}
Requires:	%{name} = %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
%{name} development headers and libraries.

%prep
%if %svn
%setup -qn %name
%else
%setup -qn %name-%version
%endif

%build
%if %svn
LC_ALL=C NOCONFIGURE=1 ./autogen.sh
%endif
autoreconf -fi
%configure2_5x --disable-static
%make


rm -rf %{buildroot}
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

%files
%doc AUTHORS README
%{_bindir}/*
%{_datadir}/%{name}/logo.png

%files -n %{libname}
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%{_libdir}/pkgconfig/*
%{_libdir}/*.so
%{_includedir}/*


%changelog

* Sun Mar 11 2012 trem <trem> 1.1.0-0.r69188.1.mga2
+ Revision: 222672
- update to release 69188

* Sat Mar 10 2012 trem <trem> 1.1.0-0.r69165.1.mga2
+ Revision: 222405
- update to release 69165

* Sun Mar 04 2012 trem <trem> 1.1.0-0.r68658.1.mga2
+ Revision: 217983
- update to release 68658

* Sat Mar 03 2012 trem <trem> 1.1.0-0.r68649.1.mga2
+ Revision: 217533
- update to release 68649

* Sun Feb 26 2012 trem <trem> 1.1.0-0.r68450.1.mga2
+ Revision: 215198
- update to release 68450

* Sat Feb 25 2012 trem <trem> 1.1.0-0.r68434.1.mga2
+ Revision: 214412
- update to release 68434

* Fri Feb 24 2012 trem <trem> 1.1.0-0.r68363.1.mga2
+ Revision: 213957
- update to release 68363

* Wed Feb 22 2012 trem <trem> 1.1.0-0.r68228.1.mga2
+ Revision: 212064
- update to release 68228

* Sun Feb 19 2012 trem <trem> 1.1.0-0.r68120.1.mga2
+ Revision: 210780
- update to release 68120

* Sat Feb 18 2012 trem <trem> 1.1.0-0.r68102.1.mga2
+ Revision: 210228
- update to release 68102

* Sat Feb 11 2012 trem <trem> 1.1.0-0.r67851.1.mga2
+ Revision: 207531
- update to release 67851

* Sat Feb 11 2012 trem <trem> 1.1.0-0.r67846.1.mga2
+ Revision: 207244
- update to release 67846

* Fri Feb 10 2012 trem <trem> 1.1.0-0.r67830.1.mga2
+ Revision: 206953
- update to release 67830

* Tue Feb 07 2012 trem <trem> 1.1.0-0.r67715.1.mga2
+ Revision: 205988
- update to release 67715
- update to release 67703
- update to release 67702
- update to release 67698
- update to release 67688
- update to release 67680

* Thu Dec 29 2011 trem <trem> 1.1.0-0.r66418.1.mga2
+ Revision: 188823
- update to release 66418

* Sun Dec 04 2011 trem <trem> 1.1.0-0.r65867.1.mga2
+ Revision: 176087
- update to release 65867

* Tue Nov 29 2011 trem <trem> 1.1.0-0.r65688.1.mga2
+ Revision: 174234
- update to release 65688

* Sun Nov 27 2011 trem <trem> 1.1.0-0.r65613.1.mga2
+ Revision: 172957
- update to release 65613

* Sun Nov 20 2011 trem <trem> 1.1.0-0.r65428.1.mga2
+ Revision: 169720
- update to release 65428

* Fri Nov 18 2011 trem <trem> 1.1.0-0.r65369.1.mga2
+ Revision: 168716
- update to version 1.1.0
- update to release r65369

* Thu Nov 17 2011 trem <trem> 1.0.999-0.r65341.2.mga2
+ Revision: 168438
- update to release 65341

* Wed Nov 16 2011 trem <trem> 1.0.999-0.r65269.2.mga2
+ Revision: 168194
- update to release 65269

* Sun Nov 13 2011 trem <trem> 1.0.999-0.r65129.2.mga2
+ Revision: 167156
- update to release 65129

* Fri Nov 11 2011 trem <trem> 1.0.999-0.r65056.2.mga2
+ Revision: 166573
- update to release 65056

* Sat Nov 05 2011 trem <trem> 1.0.999-0.r64753.2.mga2
+ Revision: 163321
- update to release 64753

* Tue Nov 01 2011 trem <trem> 1.0.999-0.r64603.2.mga2
+ Revision: 160807
- update to release 64603

* Mon Oct 31 2011 trem <trem> 1.0.999-0.r64579.2.mga2
+ Revision: 160593
- update to release 64579

* Sun Oct 30 2011 trem <trem> 1.0.999-0.r64519.2.mga2
+ Revision: 160062
- update to release 64519

* Sat Oct 29 2011 trem <trem> 1.0.999-0.r64511.2.mga2
+ Revision: 159805
- update to r64511

* Fri Oct 28 2011 trem <trem> 1.0.999-0.r64501.2.mga2
+ Revision: 159285
- update to r64501

* Wed Oct 26 2011 trem <trem> 1.0.999-0.r64414.2.mga2
+ Revision: 158380
- update to r64414
- use release-version on e17 br package (instead of just version)

* Mon Oct 24 2011 trem <trem> 1.0.999-0.r64328.2.mga2
+ Revision: 157782
- use svn release (instead of stable release)
- spec cleaning

* Thu Sep 22 2011 fwang <fwang> 1.0.1-2.mga2
+ Revision: 146625
- drop .la files

* Tue Jun 28 2011 trem <trem> 1.0.1-1.mga2
+ Revision: 115474
- update to 1.0.1

* Mon Apr 18 2011 ennael <ennael> 1.0.0-1.mga1
+ Revision: 87936
- clean spec file
- imported package e_dbus


* Sat Jan 29 2011 Funda Wang <fwang@mandriva.org> 1.0.0-1mdv2011.0
+ Revision: 633925
- 1.0.0 final

* Sat Dec 18 2010 Funda Wang <fwang@mandriva.org> 1.0.0-0.beta3.1mdv2011.0
+ Revision: 622798
- 1.0 beta3

* Tue Nov 16 2010 Funda Wang <fwang@mandriva.org> 1.0.0-0.beta2.1mdv2011.0
+ Revision: 597951
- 1.0.0 beta2

* Wed Oct 13 2010 Funda Wang <fwang@mandriva.org> 1.0.0-0.beta.1mdv2011.0
+ Revision: 585331
- 1.0.0 beta

* Fri Jul 16 2010 Funda Wang <fwang@mandriva.org> 0.5.0.49898-1mdv2011.0
+ Revision: 553946
- new version 0.5.0.49898

* Sun Dec 13 2009 Funda Wang <fwang@mandriva.org> 0.5.0.063-1mdv2010.1
+ Revision: 478153
- new version 0.5.0.063

* Fri Aug 07 2009 Funda Wang <fwang@mandriva.org> 0.5.0.062-1mdv2010.0
+ Revision: 411123
- new version 0.5.0.062

* Wed Jul 08 2009 Funda Wang <fwang@mandriva.org> 0.5.0.061-2mdv2010.0
+ Revision: 393496
- rebuild

* Mon Jul 06 2009 Funda Wang <fwang@mandriva.org> 0.5.0.061-1mdv2010.0
+ Revision: 392855
- new version 0.5.0.061

* Mon Jul 06 2009 Funda Wang <fwang@mandriva.org> 0.5.0.060-2mdv2010.0
+ Revision: 392831
- rebuild for new ecore

* Sat May 02 2009 Funda Wang <fwang@mandriva.org> 0.5.0.060-1mdv2010.0
+ Revision: 370691
- New version 0.5.0.060

* Mon Mar 02 2009 Antoine Ginies <aginies@mandriva.com> 0.5.0.050-2mdv2009.1
+ Revision: 346964
- SVN SNAPSHOT 20090227, release 0.5.0.050

* Sun Oct 12 2008 Funda Wang <fwang@mandriva.org> 0.5.0.050-1mdv2009.1
+ Revision: 292633
- New version 0.5.0.050

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun Jun 01 2008 Funda Wang <fwang@mandriva.org> 0.5.0.043-1mdv2009.0
+ Revision: 213988
- fix filelist
- New version 0.5.0.043

* Fri Feb 15 2008 Antoine Ginies <aginies@mandriva.com> 0.1.0.042-2mdv2008.1
+ Revision: 168997
- bump release, restore buildrequires specific version

  + Thierry Vignaud <tv@mandriva.org>
    - fix no-buildroot-tag

* Sat Feb 02 2008 Austin Acton <austin@mandriva.org> 0.1.0.042-1mdv2008.1
+ Revision: 161521
- new vesrion
- tidy spec
- fix URL

* Fri Dec 21 2007 Adam Williamson <awilliamson@mandriva.org> 0.1.0.003-0.20071220.1mdv2008.1
+ Revision: 136141
- sync sources
- new library policy
- update to current CVS to fix build with changed core API
- sane buildrequires
- clean spec

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Jun 04 2007 Antoine Ginies <aginies@mandriva.com> 0.01-2mdv2008.0
+ Revision: 35111
- fix Major, prevent major bug to happen again

* Fri May 25 2007 Antoine Ginies <aginies@mandriva.com> 0.01-1mdv2008.0
+ Revision: 31174
- add some buildrequires
- first release of e_dbus
- Import e_dbus

